﻿using System;
using System.ComponentModel;
using Wisej.Web;

namespace WiseJ
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            dataGridView1.AutoGenerateColumns = false;
            dataGridView1.AllowUserToDeleteRows = true;
            dataGridView1.AllowUserToAddRows = true;
            dataGridView1.AllowUserToResizeColumns = true;
            dataGridView1.SelectionMode = DataGridViewSelectionMode.FullRowSelect;

            DataGridViewTextBoxColumn Column1 = new DataGridViewTextBoxColumn();
            Column1.Name = "Column1";
            Column1.HeaderText = "Patient ID";
            Column1.DataPropertyName = "PatientID";

            DataGridViewTextBoxColumn Column2 = new DataGridViewTextBoxColumn();
            Column2.Name = "Column1";
            Column2.HeaderText = "Patient Name";
            Column2.DataPropertyName = "PatientName";

            dataGridView1.Columns.AddRange(new DataGridViewTextBoxColumn[] { Column1, Column2 });

            DataGridViewCheckBoxColumn Column0 = new DataGridViewCheckBoxColumn();
            Column0.Name = "Column0";
            Column0.HeaderText = "Sel";
            dataGridView1.Columns.Insert(0, Column0);

            dataGridView1.DataSource = GetData();
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            if (dataGridView1.RowCount > 0)
            {
                for (int i = dataGridView1.Rows.Count - 1; i > -1; i--)
                {
                    DataGridViewRow row = dataGridView1.Rows[i];
                    if (!row.IsNewRow)
                    {
                        DataGridViewCheckBoxCell chk = row.Cells["Column0"] as DataGridViewCheckBoxCell;

                        if (Convert.ToBoolean(chk.Value) == true)
                        {
                            dataGridView1.Rows.Remove(row);
                        }
                    }
                }
            }
        }

        private void btnReload_Click(object sender, EventArgs e)
        {
            dataGridView1.DataSource = GetData();
        }

        private BindingList<Patient> GetData()
        {
            var pat = new BindingList<Patient>()
            {
                new Patient
                {
                    PatientID = "Pat1",
                    PatientName = "Patient 1"
                },

                new Patient
                {
                    PatientID = "Pat2",
                    PatientName = "Patient 2"
                },
                new Patient
                {
                    PatientID = "Pat3",
                    PatientName = "Patient 3"
                },
                new Patient
                {
                    PatientID = "Pat4",
                    PatientName = "Patient 4"
                },
                new Patient
                {
                    PatientID = "Pat5",
                    PatientName = "Patient 5"
                },
            };

            return pat;

        }
    }
}
